Skip to main content
GET
https://aigenstudio.app
/
api
/
v1
/
product-image-enhancements
/
{enhancementId}
Get product image enhancement status
curl --request GET \
  --url https://aigenstudio.app/api/v1/product-image-enhancements/{enhancementId} \
  --header 'Authorization: Bearer <token>'
{
  "enhancement": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "total_items": 123,
    "completed_items": 123,
    "failed_items": 123,
    "credits_reserved": 123,
    "credits_used": 123,
    "sandbox": true,
    "items": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "credits_reserved": 123,
        "credits_used": 123,
        "external_id": "<string>",
        "result_url": "<string>",
        "thumbnail_url": "<string>",
        "error_code": "<string>",
        "error_message": "<string>"
      }
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "completed_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Request-Id
string

Optional client request id. AI Gen Studio also returns an X-Request-Id header.

Path Parameters

enhancementId
string<uuid>
required

Response

Enhancement status returned.

enhancement
object
required